#include "MKL25Z4.h"

#define BLUE			(1)
#define BLUE_SHIFT		(1 << 1)


#define BLUE_OFF		(GPIOB_PSOR = BLUE_SHIFT)
#define BLUE_ON			(GPIOB_PCOR = BLUE_SHIFT)
#define BLUE_TOGGLE		(GPIOB_PTOR = BLUE_SHIFT)

int main()
{
  volatile int i;
  
  
  		/* Turn on clock to PortB module */
		SIM_SCGC5 |= SIM_SCGC5_PORTB_MASK;

		/* Set the PTD1 pin multiplexer to GPIO mode */
		PORTB_PCR1 = PORT_PCR_MUX(1);

		/* Set the initial output state to high */
		GPIOB_PSOR = BLUE_SHIFT;

		/* Set the pins direction to output */
		GPIOB_PDDR |= BLUE_SHIFT;
                
  
  while (1 ) {
    	BLUE_ON;
        for(i=0; i<1000000;i++);
        BLUE_OFF;
        for(i=0; i<1000000;i++);       
  }
  
  
  return 0;
}
